import javax.swing.*;

public class HelloWorldSwing {

	private static void createGUI() {
		JFrame frame = new JFrame("Swing Application");
		JLabel label = new JLabel("Hello World of Swing!");
        	frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
       		frame.add(label);
		frame.setSize(240,80);
		frame.setVisible(true);	
	}

	private static class MyCreateGUI implements Runnable {
		public void run() {
			createGUI();
		}
		
	}
	 public static void deferred() {
		SwingUtilities.invokeLater(new MyCreateGUI());
	} 

	public static void main(String []args) {
		deferred(); 
		System.out.println("This may be called before");
	}
}
